<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="gForm">
        <!-- managedBean, imagePath, title, parameters -->
        <h1>#{title}</h1>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">#{title}</ui:define>
            <s:div id="simulatorInfo" styleClass="row">
                <div class="col-md-6">
                    <h:graphicImage library="img" name="#{imagePath}"/>
                </div>
                <div class="col-md-6">
                    <gri:panel>
                        <f:facet name="header">#{title}</f:facet>
                        <ui:insert name="parameters"/>
                        <f:facet name="footer">
                            <a4j:commandLink action="#{managedBean.getUrlForHL7Messages()}" execute="@this"
                                title="#{messages['net.ihe.gazelle.patientmanager.ListMessagesExchangedWithThisSimulator']}">
                                <s:span styleClass="gzl-icon-history "/>
                            </a4j:commandLink>
                            <a4j:commandLink action="#{managedBean.linkToPatients()}" execute="@this"
                                             title="#{messages['gazelle.pam.ListPatients']}"
                                                rendered="#{managedBean.displayLinkToPatients()}">
                                <s:span styleClass="gzl-icon-users "/>
                            </a4j:commandLink>
                        </f:facet>
                    </gri:panel>
                </div>
            </s:div>
            <br/>
            <br/>
            <s:div id="domains" rendered="#{displayDomains}">
                <h1>
                    <h:outputText
                            value="#{messages['gazelle.patientmanager.FindBelowTheListOfDomainsKnownByOurPatientDemogr']}"/>
                </h1>
                <rich:dataTable value="#{managedBean.availableDomainsForPID()}" var="hd"
                    render="dsHDList" id="hdList" rows="#{dataScrollerMemory.numberOfResultsPerPage}">
                    <g:column filterBy="#{'namespaceID'}" filterEvent="keyup">
                        <ui:define name="header">#{messages['gazelle.patientmanager.NamespaceID']}</ui:define>
                        <h:outputText value="#{hd.namespaceID}"/>
                    </g:column>
                    <g:column filterBy="#{'universalID'}" filterEvent="keyup">
                        <ui:define name="header">#{messages['gazelle.patientmanager.UniversalID']}</ui:define>
                        <h:outputText value="#{hd.universalID}"/>
                    </g:column>
                    <g:column filterBy="#{'universalIDType'}" filterEvent="keyup">
                        <ui:define name="header">#{messages['gazelle.patientmanager.UniversalIDType']}</ui:define>
                        <h:outputText value="#{hd.universalIDType}"/>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="dsHDList"/>
                            <ui:param name="dataTableId" value="hdList"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </s:div>
        </ui:decorate>
        <ui:insert name="more"/>
    </h:form>
</ui:composition>